<?php
class Accionesleyenda_model extends CI_Model { 
   public function __construct() {
      parent::__construct();
   }

   public function guardar($parametro){ //guarda los datos de un nueva leyenda en la bd
      $campos=array(
         'IdLeyendas' => $parametro['IdLeyendas'],
         'NombreLeyendas' => $parametro['NombreLeyendas'],
         'DescripcionLeyendas' => $parametro['DescripcionLeyendas'],
         'FechaInicioLeyendas' => $parametro['FechaInicioLeyendas'],
         'FechaTerminoLeyendas' => $parametro['FechaTerminoLeyendas']

      );
      $this->db->insert('leyendasgenerales',$campos);
      $res=$this->db->affected_rows();

      if($res==1){
           //Muestra una alerta cuando no se realizo
            // echo "<script>alert('Datos guardados correctamente');</script>";
            //   redirect('leyendas/administrador/leyendaA','refresh');

              echo "<script>alert('Datos guardados correctamente');
                 window.location.href='".base_url()."leyendas/administrador/leyendaA';
                 </script>";   
          }else{
            //Verifica que la consulta se realizo 
            // echo "<script>alert('Los datos no pudierón ser guardados correctamente');</script>";
            //   redirect('leyendas/administrador/leyendaA/agregar','refresh');
            echo "<script>alert('Los datos no pudierón ser guardados correctamente');
                 window.location.href='".base_url()."leyendas/administrador/leyendaA/agregar';
                 </script>";
            }
         }
  



   function AsignarFranquicia($parametro){ 
      $campos=array(

         'Franquicias_IdFranquicias' => $parametro['Franquicias_IdFranquicias'],
         'LeyendasGenerales_IdLeyendas' => $parametro['LeyendasGenerales_IdLeyendas']

      );

      $this->db->insert('franquicias_has_leyendasgenerales',$campos);
      $res=$this->db->affected_rows();
          if($res==1){
           //Muestra una alerta cuando no se realizo
            // echo "<script>alert('Leyenda asignada correctamente');</script>";
            //  redirect('leyendas/administrador/leyendaA/MostrarAsignaciones','refresh');
              echo "<script>alert('Leyenda asignada correctamente');
                 window.location.href='".base_url()."leyendas/administrador/leyendaA/MostrarAsignaciones';
                 </script>";  
          }else{
            //Verifica que la consulta se realizo 
            // echo "<script>alert('No se pudo asignar la Leyenda');</script>";
            //  redirect('leyendas/administrador/leyendaA/agregar','refresh');
              echo "<script>alert('No se pudo asignar la Leyenda');
                 window.location.href='".base_url()."leyendas/administrador/leyendaA/agregar';
                 </script>";  
            }
}
      public function obtenerenlaceL ($id){
      $id= $this->uri->segment(5);
      $query = $this->db-> query("SELECT IdLeyendas,NombreLeyendas FROM leyendasgenerales WHERE IdLeyendas= '".$id."'"); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdLeyendas, ENT_QUOTES)] = htmlspecialchars($row->NombreLeyendas, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
            }

   public function eliminar ($id){ //elimina una leyenda por medio de la variable $id que es pasada por el controlador
      
      $this->db->where('IdLeyendas', $id);
      $this->db->delete('leyendasgenerales');
      $res=$this->db->affected_rows();
      if($res==0){
        //Muestra una alerta cuando se realizo
      // echo "<script>alert('Error, no se pudo eliminar la leyenda');</script>";
      // redirect('leyendas/administrador/leyendaA','refresh');
        echo "<script>alert('Error, no se pudo eliminar la leyenda');
                 window.location.href='".base_url()."leyendas/administrador/leyendaA';
                 </script>";  
      }else{
        //Muestra una alerta cuando no se realizo
      // echo "<script>alert('Leyenda eliminada correctamente');</script>";
     // redirect('leyendas/administrador/leyendaA','refresh');
       echo "<script>alert('Leyenda eliminada correctamente');
                 window.location.href='".base_url()."leyendas/administrador/leyendaA';
                 </script>";  
      }
   }

   public function eliminarL ($id, $idDos){ //elimina una leyenda por medio de la variable $id que es pasada por el controlador
      
      $this->db->where('LeyendasGenerales_IdLeyendas', $id);  
      $this->db->where('Franquicias_IdFranquicias', $idDos);
      $this->db->delete('franquicias_has_leyendasgenerales');
      // echo "<script>alert('Leyenda desactivada correctamente');</script>";
      //        redirect('leyendas/administrador/leyendaA/MostrarAsignaciones','refresh');
      echo "<script>alert('Leyenda desactivada correctamente');
                 window.location.href='".base_url()."leyendas/administrador/leyendaA/MostrarAsignaciones';
                 </script>";  

   }

    


   public function obtenerenlace ($id){//permite acceder al id de la leyenda que se desea editar por medio de la variable $id que es pasada por el controlador
      $this->db->where('IdLeyendas', $id);
      $query=$this->db->get('leyendasgenerales');
      if($query->num_rows()>0){
         return $query;

      }else{
         return FALSE;
      }

   }
   function editarenlace ($IdLeyendas, $data) //permite guardar en la bd la información que se modificó de la leyenda
   {
      $this->db->where('IdLeyendas', $IdLeyendas);
      $this->db->update('leyendasgenerales', $data);
      $res=$this->db->affected_rows();
       //Verifica que la consulta se realizo 
      if($res==1){
        //Muestra una alerta cuando se realizo
        // echo "<script>alert('Datos guardados correctamente');</script>";
        // redirect('leyendas/administrador/leyendaA','refresh');
        echo "<script>alert('Datos guardados correctamente');
                 window.location.href='".base_url()."leyendas/administrador/leyendaA';
                 </script>";  
      
      }else if($res==-1){
        //Muestra una alerta cuando no se realizo
        // echo "<script>alert('Los datos no pudierón ser guardados correctamente');</script>";
        //  redirect("leyendas/administrador/leyendaA/editar/$IdLeyendas",'refresh');
        echo "<script>alert('Los datos no pudierón ser guardados correctamente');
                 window.location.href='".base_url()."leyendas/administrador/leyendaA/editar/$IdLeyendas';
                 </script>";  

      }else {
        // echo "<script>alert('No se hizo ningun cambio');</script>";
        //  redirect("leyendas/administrador/leyendaA/editar/$IdLeyendas",'refresh');
        echo "<script>alert('No se hizo ningun cambio');
                 window.location.href='".base_url()."leyendas/administrador/leyendaA/editar/$IdLeyendas';
                 </script>";  

      }
       
   }

    function buscar($query) {//Realiza una búsqueda en la bd por medio de la variable $query que es pasada por el controlador (nombre de la leyenda)
    $this->db->like('IdLeyendas', $query);
    $this->db->or_like('NombreLeyendas', $query);
    $query = $this->db->get('leyendasgenerales');
    if ($query->num_rows() > 0){
    return $query;
    }else{
      //  echo "<script>alert('No se encontrarón los datos solicitados');</script>";
      // redirect('leyendas/administrador/leyendaA','refresh');
       echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."leyendas/administrador/leyendaA';
                 </script>"; 
    }
  }
  function buscarporfranquicia($query) {
    $this->db->where('Franquicias_IdFranquicias', $query);
     //Valida que se haya hecho la consulta
    $query = $this->db->get('franquicias_has_leyendasgenerales');
    if ($query->num_rows() > 0){
      return $query;
    }else{
      //  echo "<script>alert('No se encontrarón los datos solicitados');</script>";
      // redirect('leyendas/administrador/leyendaA/MostrarAsignaciones','refresh');
       echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."leyendas/administrador/leyendaA/MostrarAsignaciones';
                 </script>"; 
    }
  }

    public function BuscarFranquicia(){
     $query = $this->db-> query('SELECT IdFranquicias,NombreFranquicia FROM franquicias'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombreFranquicia, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

   

   }


   



